chrome.runtime.onMessage.addListener(
  function(request, sender, sendResponse){
    if(request.msg == "checkAuthentication"){
      var is_login='yes';
      chrome.storage.local.get(['email','memberId','member_status'], function(data){
        email = data.email;
        memberId = data.memberId;
        password = data.password;
        member_status = data.member_status;
        var opt = {"member_status":member_status,"userEmail": email, "svr":"checkAuthentication"};
        fetch('https://hotprospector.com/glu/chrome/extenstion/webservice',{
          method: 'POST',
          headers: {'Content-Type':'application/json'},
          body: JSON.stringify(opt),
        }).then(function(response){
          return response.json();
        }).then(function(resp){
          var is_login = resp.status=='success'?'yes':'no';
          sendResponse({login_status: is_login});
        });
      });
      return true;
    }else if(request.msg == "send_incoming_call_alert"){
      /*chrome.tabs.onUpdated.addListener(function(tabId, info){
        console.log(tabId);
      });*/
      chrome.tabs.query({currentWindow: true}, function(tabs) {
        tabs.forEach(function(tab) {
          var tab_data = {'tab_id': tab.id, 'msg':'incoming_call'};
          chrome.tabs.sendMessage(tab.id,tab_data); 
        });
      });
      sendResponse({reply_data: 'sending alert to all opened tabs'});
      return true;
    }else if(request.msg == "incoming_call_html"){
      fetch('incoming-call.html')
        .then((response) => {
        return response.text();
      })
      .then((html) => {

        //chrome.tabs.query({currentWindow:true},(tabs)=>{
          chrome.tabs.update(sender.tab.id, {selected: true});
          sendResponse({file_html: html,tab_id: sender.tab.id});
       // })
      });
      return true;
    }else if(request.msg == "dial_pad_html"){
      fetch('dialpad.html')
        .then((response) => {
        return response.text();
      })
      .then((html) => {
        sendResponse({file_html: html});
      });
      return true;
    }else if(request.msg == "sms_messenger_html"){
      fetch('sms_messenger.html')
        .then((response) => {
        return response.text();
      })
      .then((html) => {
        sendResponse({file_html: html});
      });
      return true;
    }else if(request.msg == "contact_list_html"){
      fetch('contact-list.html')
        .then((response) => {
        return response.text();
      })
      .then((html) => {
        sendResponse({file_html: html});
      });
      return true;
    }else if(request.msg == "recent_activity_log_html"){
      fetch('recent_activity_log.html')
        .then((response) => {
        return response.text();
      })
      .then((html) => {
        sendResponse({file_html: html});
      });
      return true;
    }else if(request.msg == "user_system_notification_log_html"){
      fetch('user_system_notification_log.html')
        .then((response) => {
        return response.text();
      })
      .then((html) => {
        sendResponse({file_html: html});
      });
      return true;
    }else if(request.msg == "contact_detail_html"){
      fetch('contact-detail.html')
        .then((response) => {
        return response.text();
      })
      .then((html) => {
        sendResponse({file_html: html});
      });
      return true;
    }else if(request.msg == "edit_contact_form_html"){
      fetch('edit_contact_form_html.html')
        .then((response) => {
        return response.text();
      })
      .then((html) => {
        sendResponse({file_html: html});
      });
      return true;
    }else if(request.msg == "add_single_lead_html"){
      fetch('add_single_lead.html')
        .then((response) => {
        return response.text();
      })
      .then((html) => {
        sendResponse({file_html: html});
      });
      return true;
    }else if(request.msg == "incoming_sms_call_notification_html"){
      fetch('incoming_sms_call_notification.html')
        .then((response) => {
        return response.text();
      })
      .then((html) => {
        sendResponse({file_html: html});
      });
      return true;
    }else if(request.msg=="alertUser")
    {
      chrome.windows.update(sender.tab.windowId, {drawAttention: true});
      sendResponse({active_tab: sender.tab.active});
      //chrome.tabs.update(sender.tab.id, {active: true});
    }else
    {
      var value_unread=request.msg;
      var value_unread_arr=value_unread.split('_');
      if(value_unread_arr[0]=='systemnotification')
      {
        chrome.action.setBadgeBackgroundColor({ color: "#FE0000 " });
        chrome.action.setBadgeText({ text: value_unread_arr[1] });
      }
      
    }
  }
);
